import { BFHMoreButton } from "./Buttons";




interface ItemProps {
    text?: string; 
    vorname?: string, 
    nachname?: string,
    date: string ,
    children: React.ReactNode;
    tag: string, 
    color: string,
    csstag: string
}

/* import ImageEvent from './ImageEvent.tsx';
import UrlButton from './UrlButton.tsx'; */
export const TimelineItemPic  = ({ text, vorname, nachname, date, tag, color, children, csstag }:ItemProps) => (
    <div className="timeline-item">
        <div className="timeline-item-content">
            <span className="tag" style={{ background: color }}>
                {tag}
            </span> 
            <time>{date}</time>
            
            <hr/>
            <div className="row">
                <div className="col">
                    <figure className="snip1113 red">
                        <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg" alt="pr-sample1" />
                        <figcaption>
                            <h3>{vorname} <span>{nachname}</span></h3>
                        </figcaption>
                    </figure>
                </div>
                <div className="col text-1-bfh">
                <span className="">{text}</span>
                </div>
                {children}
            </div>
            
            <BFHMoreButton it={csstag}></BFHMoreButton>
            <span className="circle" />
        </div>
    </div>
);

export const TimelineItem  = ({ date, tag, color, children, csstag }:ItemProps) => (
    <div className="timeline-item">
        <div className="timeline-item-content">
            <span className="tag" style={{ background: color }}>
                {tag}
            </span> 
            <time>{date}</time>
            
            <hr/>
            {children}
            
            <BFHMoreButton it={csstag}></BFHMoreButton>
            <span className="circle" />
        </div>
    </div>
);



export function MyTimeline () {
    return(
        <>
            <div className="timeline-container">
                <div className='timeline-begin'>
                Begin & Opening
                </div>

                <TimelineItem
                date='Scientific Talk I.'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="talkone"
                >
                    <span>Scientific Talk 1 by Kristian Müller and Ram Shakar</span>
                    <div id="talkone" style={{display: "none"}}>
                        So much more
                    </div>
                    
                    {/* 
                            <ImageEvent
                        date="4/13/19"
                        text="You can embed images..."
                        src="https://res.cloudinary.com/dovoq8jou/image/upload/v1564772194/jellyfish.jpg"
                        alt="jellyfish swimming"
                        credit="Photo by [@tavi004](https://unsplash.com/@tavi004)" 
                        id='Scientific Talk I.'>
                        
                            <div>
                                <UrlButton href="https://unsplash.com/search/photos/undersea">
                                View more undersea photos
                                </UrlButton>
                            </div>
                            </ImageEvent> */}

                </TimelineItem>
                <TimelineItemPic
                date='How to Wiki'
                tag='Workshop Session I.'
                color='var(--text-primary)'
                csstag="wikiworkshop"
                vorname="Christian"
                nachname="Kolland"
                text="Learning the basics of Wiki coding and design. In this workshop, the participants geined expertise to elevate their teams wiki."
                >
                <div id="wikiworkshop" style={{display: "none"}}>
                        So much more
                </div>
                </TimelineItemPic>
                <TimelineItemPic
                date='How to SynBio'
                tag='Workshop Session I.'
                color='var(--text-primary)'
                csstag="synworkshop"
                vorname="Traci"
                nachname="Haddock"
                text="Design genetic constructs and re-write the genomic code, and plan experiments using AI. Learn how to effectively build genetic circuit systems for implementation in your iGEM project.
                "
                >
                <div id="synworkshop" style={{display: "none"}}>
                        So much more
                </div>
                </TimelineItemPic>
                <TimelineItem
                date='How to use AI as a scientist'
                tag='Workshop Session I.'
                color='var(--text-primary)'
                csstag="aiworkshop"
                >
                    <h5>Modern problems require modern solutions</h5>
                    <span>Computational technologies are getting more in the focus of scientific research. Integration of generative KI like GenAI bypass limitations and offers potential risks - learn how to implement Artificial Intelligence.
                    </span>
                    <div id="aiworkshop" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItem>
                <TimelineItemPic
                date='Scientific Talk II.'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="talktwo"
                vorname="Karla"
                nachname="Wagner"
                text="Scientific Talk 2 by Karla Wagner"
                >
                    <div id="talktwo" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItemPic>
                <TimelineItem
                date='Team project presentations'
                tag= 'Team presentations'
                color='var(--accent-primary'
                csstag="teampres"
                >
                    <h5>Team project presentations</h5>
                    <span>

                    </span>
                    <div id="teampres" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItem>
                <TimelineItem
                date='Poster Exhibition Booth'
                tag= 'Team presentations'
                color='var(--accent-primary)'
                csstag="teambooth"
                >
                    <h5>Poster Exhibition Booth </h5>
                    <span>

                    </span>
                    <div id="teambooth" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItem>
                <TimelineItemPic
                date='How to work safe'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="safeworkshop"
                vorname="Svenja"
                nachname="Vinke"
                >
                    <h5>About Dual-use and Biosafety</h5>
                    <span>Novel technologies opened possibilities and risks. Learn how you implement Safety and Security Strategies within your project and think more responsible in terms of Dual Use.
                    </span>
                    <div id="safeworkshop" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItemPic>
                <TimelineItemPic
                date='How to Communicate Science'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="commworkshop"
                text="Experience how science communication could be. Learn creative and funny ways to communicate difficult topics. Think outside the box and train your skills. "
                >
                    <br></br>
                    
                    <div id="commworkshop" style={{display: "none"}}>
                        <br></br>
                        <h6>Setting</h6>
                        <p>
                        This workshop was offered to us by <a href="https://www.stud-scicom.de/">StudSciCom</a>.
                        StudSciCom is an initiative for science communication by students for students in Germany. 
                        They held this workshop for us for the very first time and we are glad that we were able to offer the 
                        uprising StudSciCom team a platform to try out this kind of outreach. In addition, we were able to gain 
                        knowledge about proper science communication –  a clear win-win situation for all of us!
                        </p>
                        <h6>What did we learn?</h6>
                        <p>
                        Julia Kalinowski, PhD at Bielefeld University and Foreign Minister of StudSciCom, together with Carolin Malmendier, 
                        former physics student and now organizer in the StudSciCom team, introduced us to the theories and  practice 
                        of different types of science communication and how to develop a communication strategy. 
                        In detail, we were taught to ask ourselves several questions to define our topic, the medium of 
                        communication, as well as the characterization of our target group and the planned achievement with our 
                        science communication. 
                        </p>
                        <img src="https://static.igem.wiki/teams/5247/photos/other/vortrag-scicom-bfh-screenshot.jpg"></img>
                        <p>The key message for us was to plan the science communication before we dive in and to make sure that the 
                            target audience gets the message we want to send.  </p>
                        <h6>Implementation</h6>
                        <p>
                        Afterwards, the attending iGEM teams talked about their science communication plans and how they could improve them 
                        using the skills learned in this workshop. Our team revised their plans for explaining gene editing to 
                        children and started developing experiments to help them better understand cystic fibrosis, which we 
                        presented later onto the public at “Der Teuto ruft!” [Link], an event in Bielefeld to connect the local 
                        population with regional companies and institutes to inform them about their work - including our iGEM team! 
                        </p>
                        </div>    
                </TimelineItemPic>
                <TimelineItemPic
                date='How to Pitch Your Project'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="pitch"
                vorname="Madeleine"
                nachname="Mussgnug"
                text="Image you have only three minutes with your boss to sell your idea... 
                After our workshop you learned techniques to sell every pen and even more to every boss on the planet.       
               "
                > 
                <div id="pitch" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                date='How to Multi Media'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="multimedia"
                vorname="Michael"
                nachname="Gröning"
                text="Learn the basics of filmmaking and video production. 
                Look behind the scenes and get in touch with professionals. 
                Train your skills to direct iGEM-related videos and movies."
                > 
                
                <div id="multimedia" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItem
                date='Panel Discussion'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="panel"
                >
                    <span>Panel Discussion</span>
                    <div id="panel" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItem>
                <TimelineItemPic
                date='iGEMer Ted Talks'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="tedtalk1"
                >
                    <span>iGEMer Ted Talk 1</span>
                    <div id="tedtalk1" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                date='iGEMer Ted Talks'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="tedtalk2"
                vorname=""
                nachname=""
                >
                    <span>Ted Talk 2</span>
                    <div id="tedtalk2" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                date='Science Slam Session'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="slam1"
                >
                    <span>Science Slam Session</span>
                    <div id="slam1" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                date='Science Slam Session'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="slam2"
                >
                    <span>Science Slam Session</span>
                    <div id="slam2" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <div className='timeline-end'>
                    Award Ceremony
                </div>
            </div>
            
            </>
        )
    
}
